%global	__requires_exclude pear\\(PHPUnit/Framework.php\\)|pear\\(Smarty.class.php\\)|pear\\(HTML/Template/Flexy.php\\)
%define		_class		HTML
%define		_subclass	QuickForm
%define		upstream_name	%{_class}_%{_subclass}

%define 	peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)
%define xmldir  /var/lib/pear

Name:		php-pear-%{upstream_name}
Version:	3.2.15
Release:	%mkrel 4
Summary:	Methods for creating, validating, processing HTML forms
License:	PHP License
Group:		Development/PHP
URL:		http://pear.php.net/package/HTML_QuickForm/
Source0:	http://download.pear.php.net/package/%{upstream_name}-%{version}.tgz
#fix bug #9373 with patches from David Walser
Patch0:		HTML_QuickForm-3.2.14-errors.patch
Patch1:		HTML_QuickForm-3.2.14-moodle1.patch
Patch2:		HTML_QuickForm-3.2.14-moodle2.patch
Patch3:		HTML_QuickForm-3.2.14-moodle3.patch
Patch4:		HTML_QuickForm-3.2.14-raiseError.patch

Requires(post): php-pear
Requires(preun): php-pear
Requires:	php-pear
Provides: pear(HTML/QuickForm.php) pear(HTML/QuickForm/Renderer.php) pear(HTML/QuickForm/Renderer/Array.php) pear(HTML/QuickForm/Renderer/ArraySmarty.php) pear(HTML/QuickForm/Renderer/Default.php) pear(HTML/QuickForm/Renderer/ITDynamic.php) pear(HTML/QuickForm/Renderer/ITStatic.php) pear(HTML/QuickForm/Renderer/Object.php) pear(HTML/QuickForm/Renderer/ObjectFlexy.php) pear(HTML/QuickForm/Renderer/QuickHtml.php) pear(HTML/QuickForm/Rule.php) pear(HTML/QuickForm/Rule/Callback.php) pear(HTML/QuickForm/Rule/Compare.php) pear(HTML/QuickForm/Rule/Email.php) pear(HTML/QuickForm/Rule/Range.php) pear(HTML/QuickForm/Rule/Regex.php) pear(HTML/QuickForm/Rule/Required.php) pear(HTML/QuickForm/RuleRegistry.php) pear(HTML/QuickForm/advcheckbox.php) pear(HTML/QuickForm/autocomplete.php) pear(HTML/QuickForm/button.php) pear(HTML/QuickForm/checkbox.php) pear(HTML/QuickForm/date.php) pear(HTML/QuickForm/element.php) pear(HTML/QuickForm/file.php) pear(HTML/QuickForm/group.php) pear(HTML/QuickForm/header.php) pear(HTML/QuickForm/hidden.php) pear(HTML/QuickForm/hiddenselect.php) pear(HTML/QuickForm/hierselect.php) pear(HTML/QuickForm/html.php) pear(HTML/QuickForm/image.php) pear(HTML/QuickForm/input.php) pear(HTML/QuickForm/link.php) pear(HTML/QuickForm/password.php) pear(HTML/QuickForm/radio.php) pear(HTML/QuickForm/reset.php) pear(HTML/QuickForm/select.php) pear(HTML/QuickForm/static.php) pear(HTML/QuickForm/submit.php) pear(HTML/QuickForm/text.php) pear(HTML/QuickForm/textarea.php) pear(HTML/QuickForm/utils.php) pear(HTML/QuickForm/xbutton.php)
BuildArch:	noarch
BuildRequires:	php-pear
BuildRequires:	mercurial
BuildRequires:	php-pear-HTML_Common

%description
The PEAR::HTML_QuickForm package provides methods for creating,
validating, processing HTML forms. Features:
- Creates xHTML compliant form elements of various type.
- Allows you to choose an unlimited number of html attributes.
- Allows you to create your own custom elements using your own
  classes.
- Process form values (you should override the process method).
- Creates javascript validation code using regular expression.
- Server-side validation too.
- Allows you to create your own validation rules.
- Manages file uploads.
- Allows you to freeze some elements in your form.
- Allows you to customize the look of your form in many ways.
- Template-like form elements customization...

%prep
%autosetup -S hg -c

pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

cat package.xml |sed 's/md5sum="[a-z0-9]*"//' > %{upstream_name}-%{version}/%{upstream_name}.xml
cd %{upstream_name}-%{version}




%install
cd %{upstream_name}-%{version}
pear install --nodeps --packagingroot %{buildroot} %{upstream_name}.xml
rm -rf %{buildroot}%{_datadir}/pear/.??*

rm -rf %{buildroot}%{_datadir}/pear/doc
rm -rf %{buildroot}%{_datadir}/pear/test

# Install XML package description
install -d %{buildroot}%{xmldir}
install -m 644 %{upstream_name}.xml %{buildroot}%{xmldir}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/%{upstream_name}.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/%{upstream_name}
fi

%files
%doc %{upstream_name}-%{version}/docs/*
%{_datadir}/pear/%{_class}
%{xmldir}/%{upstream_name}.xml




%changelog
* Wed Jan 23 2019 mokraemer <mokraemer> 3.2.15-4.mga6
+ Revision: 1360045
- fixed bad md5
- Fix provides from cauldron
- FIX bad moodle xml file
- new version to fix mga#24185 (CVE-2018-1999022)

* Sat Mar 12 2016 umeabot <umeabot> 3.2.14-5.mga6
+ Revision: 989424
- Mageia 6 Mass Rebuild

* Thu Jan 08 2015 spuhler <spuhler> 3.2.14-4.mga5
+ Revision: 809404
- added %%global __requires_exclude pear\\(HTML/Template/Flexy.php\\)
 * it is not required by upstream

* Tue Dec 09 2014 spuhler <spuhler> 3.2.14-3.mga5
+ Revision: 802417
- added %%global __requires_exclude pear\\(Smarty.class.php\\)

* Tue Dec 09 2014 spuhler <spuhler> 3.2.14-2.mga5
+ Revision: 802345
- updated the md5sum in the xml file and named it package.xml.moodle
  * needed after patching
- added posr and postun scripts

* Sat Dec 06 2014 spuhler <spuhler> 3.2.14-1.mga5
+ Revision: 801687
- upgrade to version 3.2.14
- added the moodle patches
 * fixes bug #9373
- changed the spec to allow patches
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Wed Nov 27 2013 spuhler <spuhler> 3.2.13-5.mga4
+ Revision: 553779
- fixed bug # 9373

* Sat Oct 19 2013 umeabot <umeabot> 3.2.13-4.mga4
+ Revision: 530706
- Mageia 4 Mass Rebuild

* Sun Jul 28 2013 spuhler <spuhler> 3.2.13-3.mga4
+ Revision: 459190
- added %%define _requires_exceptions pear(PHPUnit/Framework.php)
 * this file has been dropped long ago, but upstream doesn't correct the problem

* Sun Jan 13 2013 umeabot <umeabot> 3.2.13-2.mga3
+ Revision: 376214
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 04 2011 spuhler <spuhler> 3.2.13-1.mga2
+ Revision: 176281
- upgrade to 3.2.13

* Mon Jan 17 2011 spuhler <spuhler> 3.2.12-1.mga1
+ Revision: 20775
- removed buildroot definition from .spec
  commented the if mdkversion lines
- imported package php-pear-HTML_QuickForm

